メインコンテンツまでスキップ

Import Job の進行状況を取得 (V2)

この操作は、指定された一括インポートジョブの進行状況を取得します。

POST/v2/vectordb/jobs/import/describe
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API key である必要があります。

値の例: Bearer {{TOKEN}}
リクエスト・ボディ

リクエストには jobId が必要です。clusterId と組み合わせるか、projectId と regionId の両方と組み合わせるか、単独で指定できます。

jobIdstring必要

対象の import job の ID

clusterIdstring必要

この操作が適用される cluster の ID。

リクエストには jobId が必要です。clusterId と組み合わせるか、projectId と regionId の両方と組み合わせるか、単独で指定できます。

jobIdstring必要

対象の import job の ID

projectIdstring必要

この操作が適用される project の ID。

regionIdstring必要

この操作が適用される region の ID。

bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"clusterId": "inxx-xxxxxxxxxxxxxxx"
}'
bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"projectId": "proj-xxxxxxxxxxxxxxx",
"regionId": "aws-us-west-2"
}'
bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"projectId": "proj-xxxxxxxxxxxxxxx",
"regionId": "ali-cn-hangzhou"
}'
レスポンス

成功

インポートジョブの説明を含むレスポンスオブジェクト。

codeinteger<int32>

レスポンスコード。

値の例: 0
dataobject

指定された一括インポートジョブの進行状況を詳細に含むレスポンスペイロード。

jobIdstring

この一括インポートジョブの ID。

collectionNamestring

この一括インポートジョブの対象コレクションの名前。

fileNamestring

インポートされたファイルの名前。

fileSizeinteger<int64>

アップロードされたファイルのサイズ(バイト単位)。

statestring

この一括インポートジョブの状態。

progressinteger<int32>

現在の一括インポートジョブの進行率(パーセンテージ)。

completeTimestring

一括インポートジョブが完了した時刻を示すタイムスタンプ。

reasonstring

データの一括インポートに失敗した理由です。このジョブが成功した場合、フィールド値は空のままです。

totalRowsinteger<int64>

指定されたコレクション内の行数。

detailsarray

データファイル単位のデータインポートに関する統計情報。

[]detailsobject

ファイルからのデータインポートに関する統計情報。

fileNamestring

データファイルの名前。

fileSizeinteger<int64>

データファイルのサイズ。

statestring

データファイルの処理状態。

progressinteger<int32>

進行率(パーセンテージ)。

completeTimestring

ファイルが処理された時刻のタイムスタンプ。

reasonstring

データの一括インポートに失敗した理由です。このジョブが成功した場合、このフィールドは空のままです。

totalRowsinteger<int64>

このファイルからのインポートが完了した時点での、指定されたコレクション内の行数。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"jobId": "448761313698322011",
"collectionName": "medium_articles",
"fileName": "medium_articles_2020_dpr.json",
"fileSize": 3279917,
"state": "Completed",
"progress": 100,
"completeTime": "2024-04-01T06:17:55Z",
"reason": "",
"totalRows": 100000,
"details": [
{
"fileName": "medium_articles_2020_dpr.json",
"fileSize": 3279917,
"state": "Completed",
"progress": 100,
"completeTime": "2024-04-01T06:17:53Z",
"reason": ""
}
]
}
}